#!/bin/bash

MACHINENAME=
if [ -f /bin/hostname ]; then
    MACHINENAME=`/bin/hostname`
fi

MACHINEID=
if [ -f /etc/machine-id ]; then
    MACHINEID=`cat /etc/machine-id`
fi

if [ ! -z "${MACHINENAME}" ]; then
    export MACHINENAME
fi

if [ ! -z "${MACHINEID}" ]; then
    export MACHINEID
fi

# Check for /run/host/os-release first, and /etc/os-release as a fallback
source /run/host/os-release || source /etc/os-release

if [ "${MSFT_IMAGE_ID}" == "mos" ]; then
    echo "Watsonagent on Overlake MOS might only communicate AnSe in uscentral region due to lack of ipv6 support in the platform or missing rdmagent config file"
    export MOS_REGION="uscentral"
    export MACHINEFUNCTION="mos"
fi

/opt/msft/watson/watsonagent --configuration /etc/watson/watsonagent.conf
